%define name zip
%define version 2.3
%define release 11mdk

Name: %{name}
Summary: A file compression and packaging utility compatible with PKZIP
Version: %{version}
Release: %{release}
Source0: ftp://ftp.uu.net/pub/archiving/zip/src/%{name}-%{version}.tar.bz2
Source1: ftp.uu.net:/pub/archiving/zip/src/zcrypt29-exportable.tar.bz2
Patch0: zip-2.3-unforce-cflags.patch.bz2
Patch1: infozip-zip2.3-noninteractivepassword+testencrypedfile.patch.bz2
URL: http://www.info-zip.org/pub/infozip/
License: BSD-like
Group: Archiving/Compression
Packager: Guillaume Cottenceau <gc@mandrakesoft.com>
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The zip program is a compression and file packaging utility.  Zip is
analogous to a combination of the UNIX tar and compress commands and is
compatible with PKZIP (a compression and file packaging utility for
MS-DOS systems).

Install the zip package if you need to compress files using the zip
program.

This version support crypto encryption.

%prep
%setup -q -a 1
%patch0 -p0
%patch1 -p1

%build
make -ef unix/Makefile prefix=%{prefix} CC="gcc $RPM_OPT_FLAGS" generic_gcc

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%_bindir
mkdir -p $RPM_BUILD_ROOT/%_mandir/man1

%makeinstall -f unix/Makefile MANDIR=$RPM_BUILD_ROOT%_mandir/man1
#CC="gcc $RPM_OPT_FLAGS -I. -DUNIX -DUTIL"

%clean
rm -fr $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc BUGS CHANGES INSTALL MANUAL README TODO WHATSNEW WHERE LICENSE
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/*

%changelog
* Mon Sep 13 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.3-11mdk
- Rebuilt.

* Fri Jul 18 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.3-10mdk
- rm -rf $RPM_BUILD_ROOT in %%install

* Thu May  9 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 2.3-9mdk
- add noninteractivepassword+testencrypedfile patch (#1) suggested
  by Oden Eriksson <oden.eriksson@kvikkjokk.net>

* Mon May 06 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.3-8mdk
- Automated rebuild in gcc3.1 environment

* Tue Sep 11 2001 Guillaume Cottenceau <gc@mandrakesoft.com> 2.3-7mdk
- rebuild
- packager tag
- prevent from override our flags
- un-dadouize

* Mon Dec 18 2000 David BAUDENS <baudens@mandrakesoft.com> 2.3-6mdk
- Don't requires itself to be build

* Tue Aug 22 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.3-5mdk
- fix url
- add crypto stuff

* Sun Jul 23 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.3-4mdk
- use even more macros (titisucks)
- fix the url

* Wed Jul 19 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.3-3mdk
- use new macros
- BM

* Mon Apr 03 2000 Jerome Martin <jerome@mandrakesoft.com> 2.3-2mdk
- rpm group change
- spec-helper related cleanup 

* Wed Dec 08 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- upgrade to 2.3
- add URL
- remove zip archive source for the tarball (who put both the source tarball
  and the source zip ?)
- add LICENCE file

* Thu Nov  4 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Fix compilation with gcc2.95.

* Mon Aug 23 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 2.2
- handle optimizations

* Thu Jul 08 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- bzip2 man-pages.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 8)

* Thu Mar 18 1999 Cristian Gafton <gafton@redhat.com>
- updated text in the spec file

* Fri Jan 15 1999 Cristian Gafton <gafton@redhat.com>
- patch top build on the arm

* Mon Dec 21 1998 Michael Maher <mike@redhat.com>
- built package for 6.0

* Mon Aug 10 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
